

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.36. logical_shard_list &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.37. logical_table_remove" href="logical_table_remove.html" />
    <link rel="prev" title="7.3.35. logical_select" href="logical_select.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/logical_shard_list.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="logical_table_remove.html" title="7.3.37. logical_table_remove"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="logical_select.html" title="7.3.35. logical_select"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.36. </span><code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="logical-shard-list">
<h1><span class="section-number">7.3.36. </span><code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code><a class="headerlink" href="#logical-shard-list" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.36.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 5.0.7.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code> returns all existing shard names against the
specified logical table name.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.36.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes only one required parameter:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_shard_list logical_table
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.36.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>You need to register <code class="docutils literal notranslate"><span class="pre">sharding</span></code> plugin to use this command:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register sharding
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>Here are sample shards:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create  Logs_20150801           TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Logs_20150801 timestamp COLUMN_SCALAR  Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create  Logs_20150802           TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Logs_20150802 timestamp COLUMN_SCALAR  Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create  Logs_20150930           TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Logs_20150930 timestamp COLUMN_SCALAR  Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>You can get the all shard names in ascending order by specifying
<code class="docutils literal notranslate"><span class="pre">Logs</span></code> as the logical table name:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_shard_list --logical_table Logs
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     {
#       &quot;name&quot;: &quot;Logs_20150801&quot;
#     },
#     {
#       &quot;name&quot;: &quot;Logs_20150802&quot;
#     },
#     {
#       &quot;name&quot;: &quot;Logs_20150930&quot;
#     }
#   ]
# ]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.36.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes parameters.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.36.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is only one required parameter.</p>
<div class="section" id="logical-table">
<span id="logical-shard-logical-table"></span><h4><span class="section-number">7.3.36.4.1.1. </span><code class="docutils literal notranslate"><span class="pre">logical_table</span></code><a class="headerlink" href="#logical-table" title="Permalink to this headline">¶</a></h4>
<p>Specifies the logical table name. <code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code> returns a
list of shard name of the logical table:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>logical_shard_list --logical_table Logs
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     {
#       &quot;name&quot;: &quot;Logs_20150801&quot;
#     },
#     {
#       &quot;name&quot;: &quot;Logs_20150802&quot;
#     },
#     {
#       &quot;name&quot;: &quot;Logs_20150930&quot;
#     }
#   ]
# ]
</pre></div>
</div>
<p>The list is sorted by shard name in ascending order.</p>
</div>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.36.4.2. </span>Optional parameters<a class="headerlink" href="#optional-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no optional parameter.</p>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.36.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p>The command returns a list of shard names in ascending order:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[
  HEADER,
  [
    {&quot;name&quot;: &quot;SHARD_NAME_1&quot;},
    {&quot;name&quot;: &quot;SHARD_NAME_2&quot;},
    ...
    {&quot;name&quot;: &quot;SHARD_NAME_N&quot;}
  ]
]
</pre></div>
</div>
<p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> for <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.36.6. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<blockquote>
<div><ul class="simple">
<li><p><a class="reference internal" href="../sharding.html"><span class="doc">Sharding</span></a></p></li>
</ul>
</div></blockquote>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.36. <code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.36.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.36.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.36.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.36.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.36.4.1. Required parameters</a><ul>
<li><a class="reference internal" href="#logical-table">7.3.36.4.1.1. <code class="docutils literal notranslate"><span class="pre">logical_table</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#optional-parameters">7.3.36.4.2. Optional parameters</a></li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.36.5. Return value</a></li>
<li><a class="reference internal" href="#see-also">7.3.36.6. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="logical_select.html"
                        title="previous chapter"><span class="section-number">7.3.35. </span><code class="docutils literal notranslate"><span class="pre">logical_select</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="logical_table_remove.html"
                        title="next chapter"><span class="section-number">7.3.37. </span><code class="docutils literal notranslate"><span class="pre">logical_table_remove</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="logical_table_remove.html" title="7.3.37. logical_table_remove"
             >next</a> |</li>
        <li class="right" >
          <a href="logical_select.html" title="7.3.35. logical_select"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.36. </span><code class="docutils literal notranslate"><span class="pre">logical_shard_list</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>